io.vertx.mysqlclient

## Interface MySQLBuilder

-     public interface MySQLBuilder

  Entry point for building MySQL clients.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientBuilder<SqlClient>` | `client()` Provide a builder for MySQL client backed by a connection pool.
    `static SqlClient` | `client(Handler<ClientBuilder<SqlClient>> handler)` Build a client backed by a connection pool with the specified `block` argument.
    `static ClientBuilder<Pool>` | `pool()` Provide a builder for MySQL pool of connections
    `static Pool` | `pool(Handler<ClientBuilder<Pool>> block)` Build a pool with the specified `block` argument.

- - ### Method Detail

    - #### pool

          static Pool pool(Handler<ClientBuilder<Pool>> block)

      Build a pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `Pool pool = PgBuilder.pool(builder -> builder.connectingTo(connectOptions));`

      Returns:
        the pool as configured by the code `block`

    - #### pool

          static ClientBuilder<Pool> pool()

      Provide a builder for MySQL pool of connections

      Example usage: `Pool pool = PgBuilder.pool().connectingTo(connectOptions).build()`

    - #### client

          static SqlClient client(Handler<ClientBuilder<SqlClient>> handler)

      Build a client backed by a connection pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `SqlClient client = PgBuilder.client(builder -> builder.connectingTo(connectOptions));`

      Returns:
        the client as configured by the code `block`

    - #### client

          static ClientBuilder<SqlClient> client()

      Provide a builder for MySQL client backed by a connection pool.

      Example usage: `SqlClient client = PgBuilder.client().connectingTo(connectOptions).build()`

Copyright © 2024 Eclipse. All rights reserved.